Skip to content

Reject Run

POST
/api/v1/workflows/runs/{run_id}/reject
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/workflows/runs/example/reject \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "approval_token": "example" }'

Reject a paused workflow run.

Returns 409 Conflict when the run is not in awaiting_approval status (already decided by the autonomy engine or another user).

run_id
required
Run Id
string
Media typeapplication/json
WorkflowApprovalRequest

Bind a decision to the exact workflow gate the human reviewed.

object
approval_token
required
Approval Token
string
>= 64 characters <= 64 characters
Examplegenerated
{
"approval_token": "example"
}

Successful Response

Media typeapplication/json
Response Reject Run Api V1 Workflows Runs Run Id Reject Post
object
key
additional properties
string
Examplegenerated
{
"additionalProperty": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}